Bug 1023444 - Domain fails to start with default memory settings on Windows 32bit JDK
Domain fails to start with default memory settings on Windows 32bit JDK
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management, Scripts and Commands (Show other bugs)
6.1.1
Unspecified Windows
unspecified Severity unspecified
: DR1
: EAP 6.3.0
Assigned To: Tomaz Cerar
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 08:51 EDT by Tomaz Cerar
Modified: 2014-06-28 11:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previous versions of JBoss EAP could fail to start when run in a Windows 32-bit JDK environment with the default memory settings. In this release of the product, the default memory settings have been lowered to ensure a successful start on a wider array of JVMs. Customers who rely on the default JVM settings are advised to review their configuration and adjust JVM parameters based on their requirements.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:41:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 956281 None None None Never

  None (edit)
Description Tomaz Cerar 2013-10-25 08:51:44 EDT
This is bug is related to 956281

We fixed standalone startup scripts but same problem applies to domain mode.

Difference with domain start is that startup scripts are ok, but default settings for server.

this settings are part of domain.xml and are as such platform independent.
I would like to change xms & xmx to 1G for both.
Comment 2 Tomaz Cerar 2013-10-25 08:59:30 EDT
Andy WDYT we should do here? 
"problem" is that this would apply also to all other platforms not just windows.
Comment 3 Andrig T Miller 2013-10-25 09:27:27 EDT
(In reply to Tomaz Cerar from comment #2)
> Andy WDYT we should do here? 
> "problem" is that this would apply also to all other platforms not just
> windows.

I think its fine the way it is.

Andy
Comment 4 Rostislav Svoboda 2013-10-29 05:40:59 EDT
BZ 956281 is in ASSIGNED status now, it's resolved yet. Fix for Windows 8 which are not supported in EAP.

BZ 956281 claims that we should improve EAP usage on Windows 8 with 32bit JVM for development. 

This BZ is about domain mode which is not used for development. It's used for deployment across large number of nodes + centralized node management. We shouldn't change default JVM values for this mode.


Current status (EAP 6.2.0 ER6) for standalone mode:
standalone mode - Windows             ==> -Xms1G -Xmx1G
standalone mode - Linux/Solaris/HP-UX ==> -Xms1303m -Xmx1303m


Proposed status for domain mode:
domain mode - Windows             ==> <heap size="1000m" max-size="1000m"/>
domain mode - Linux/Solaris/HP-UX ==> <heap size="1000m" max-size="1000m"/>
Comment 5 Tomaz Cerar 2013-11-20 10:27:24 EST
this issue popped up again in forums

https://community.jboss.org/message/846522
Comment 7 Petr Kremensky 2014-03-03 02:26:03 EST
Verified on EAP 6.3.0.DR1

Standalone mode:
standalone mode - Windows             ==> -Xms1G -Xmx1G
standalone mode - Linux/Solaris/HP-UX ==> -Xms1303m -Xmx1303m


Domain mode:
domain mode - Windows             ==> <heap size="1000m" max-size="1000m"/>
domain mode - Linux/Solaris/HP-UX ==> <heap size="1000m" max-size="1000m"/>

Note You need to log in before you can comment on or make changes to this bug.